/* 
   Логическое управление одним RGB светодиодом и одним обычным светодиодом 2Х4 + 2Х3
   arduino UNO
  
*/
  
void setup() { 
  pinMode(2, OUTPUT);         // определяем вывод 2 (светодиод СИНИЙ) как выход
  pinMode(3, OUTPUT);         // определяем вывод 3 (светодиод ЗЕЛЕНЫЙ) как выход       
  pinMode(4, OUTPUT);         // определяем вывод 4 (светодиод КРАСНЫЙ) как выход
  pinMode(10, INPUT_PULLUP);  // определяем вывод (SELECTOR GPIO 14) как вход 1 канал
  pinMode(16, INPUT_PULLUP);  // определяем вывод (SELECTOR GPIO 15) как вход 1 канал
  
  pinMode(6, OUTPUT);         // определяем вывод 6 (светодиод кнопки PRESETS) как выход ШИМ 
  pinMode(14, INPUT_PULLUP);  // определяем вывод 14 (PRESETS GPIO 6) как вход 2 канал
  pinMode(15, INPUT_PULLUP);  // определяем вывод 15 (PRESETS GPIO 7) как вход 2 канал
 
  pinMode(8, OUTPUT);         // определяем вывод 9 (светодиод MUTE) как выход ШИМ 
  pinMode(7, INPUT_PULLUP);   // определяем вывод 8 (PRESETS GPIO 16) как вход
} 


//  бесконечный цикл
void loop() {

// Управляем RGB светодиодом Выбора каналов 

 if (( digitalRead(10) == LOW ) && ( digitalRead(16) == LOW ))                   // если 10 и 16 --, то Горит Синий (пин 2)
    {digitalWrite(2, HIGH); digitalWrite(3, LOW); digitalWrite(4, LOW);}
 else {digitalWrite(2, LOW); digitalWrite(3, LOW); digitalWrite(4, LOW );}

 if (( digitalRead(10) == HIGH ) && ( digitalRead(16) == HIGH ))                  // если 10 и 16 ++, то Горит Зеленый (пин 3)
    {digitalWrite(2, LOW); digitalWrite(3, HIGH); digitalWrite(4, LOW);}
 else {digitalWrite(2, LOW); digitalWrite(3, LOW); digitalWrite(4, LOW );} 

 if (( digitalRead(10) == HIGH ) && ( digitalRead(16) == LOW ))                  // если 10 и 16 +-, то Горит Красный (пин 4)
    {digitalWrite(2, LOW); digitalWrite(3, LOW); digitalWrite(4, HIGH);}
 else {digitalWrite(2, LOW); digitalWrite(3, LOW); digitalWrite(4, LOW );}

 
// Управляем светодиодом Пресетов 
  
 if (( digitalRead(15) == LOW ) && ( digitalRead(14) == LOW ))                    // если 15 и 14 --, то светодиод не горит
    {digitalWrite(6, LOW);} 
  
 if (( digitalRead(15) == HIGH ) && ( digitalRead(14) == HIGH ))                    // если 15 и 14 ++, то светодиод горит
    {digitalWrite(6, HIGH);}

 /*if (( digitalRead(15) == HIGH ) && ( digitalRead(14) == LOW ))                     // если 15 и 14 +- то светодиод загорается и гаснет
// плавное включение светодиода
   // начальное значение на Pin6 i=0, если i<=255, то прибавляем к i единицу
	for(int i=0;i<=255;i++) {
	analogWrite(6, i);
	delay(5); // ставим задержку для эффекта
   }

   //плавное затухание светодиода
   // начальное значение на Pin6 i=255, если i>=255, то вычитаем от i единицу
	for(int i=255;i>=0;i--) {
	analogWrite(6, i);
	delay(5); // ставим задержку для эффекта
   }
 */

 // Управляем светодиодом MUTE 
  if (digitalRead(7) == LOW)                      // если 7 --, то светодиод не горит
     {digitalWrite(8, LOW);}
  else { digitalWrite(8, HIGH);}                    // если 8 ++, то светодиод горит
        
}


